import React, { useEffect, useMemo, useState } from 'react'
import { useSelector } from 'react-redux'
import { View, ScrollView } from '@tarojs/components'
import  Layout from '../../layout/index'
import Tab from '../../compents/tab/index'
import Register from './register/index'
import Guide from '../guide/index'
import Recommend from '../recommend/index'
// import HouseLIst from '../house/list'

import './index.scss'

const index = (props) => {

  const page = useSelector(state => state.page)

  const user = useSelector(state => state.user)

  const [userRole, setUserRole] = useState('1')
  const [pageState, setPageState] = useState('2')
  const [list, setList] = useState([])
  useEffect(() => {

    console.log(page,'page')
    setList([
      {
        name: 'zhou',
        phone: '177'
      },
      {
        name: 'zhou',
        phone: '177'
      },
      {
        name: 'zhou',
        phone: '177'
      }
    ])
  }, [])


  const onTabClick = (e) => {
    console.log(e, '111')
    setUserRole(e)
  }

  const onRegisterChange = (e) => {
    console.log(e, '111')
  }

 
  return <View className='index'>


     <View>

    <Layout>
    {pageState=='1'&&<Register></Register>  }
    {pageState=='2'&&<Guide></Guide>  }
    {pageState=='3'&&<Recommend></Recommend>  }
    </Layout>
    {pageState=='1' &&<Tab value={['开启旅程']} onClick={(e)=>setPageState(e)}></Tab>}
    {pageState!='1' &&<Tab value={['入住指引','房东推荐']} pageState={pageState} onClick={[(e) => setPageState('2'),(e) => setPageState('3')]}></Tab>}

    </View>



      {/* userRole={userRole} list={list} onChange={(e) => onRegisterChange(e)} */}

        {/* {userRole == 1 ? <Register userRole={userRole} list={list} onChange={(e) => onRegisterChange(e)}></Register> :
          <View>
            {(userRole == 'guide' || userRole == 2) && <Guide userRole={userRole}/>}
            {userRole == 'recommend' && <Recommend userRole={userRole}/>}
          </View>
        }
        {userRole == 2 ? <Register userRole={userRole} list={list} onChange={(e) => onRegisterChange(e)}></Register> :
          <View>
            {(userRole == 'guide' || userRole == 2) && <Guide userRole={userRole}/>}
            {userRole == 'recommend' && <Recommend userRole={userRole}/>}
          </View>
        }
     <HouseLIst userRole={userRole} list={list} onChange={(e) => onRegisterChange(e)}></HouseLIst>  */}
       
        
      
      {/* value={userRole} onClick={(e) => onTabClick(e)*/}
    
  </View>
}

export default index