import React, { useEffect, useMemo, useState } from 'react'
import { useSelector } from 'react-redux'
import { View, ScrollView } from '@tarojs/components'
import Tab from '../../compents/tab/index'
import Customer from '../customer/index'
import Landlord from '../landlord/index'
import AdminUser from '../adminUser/index'
import Guide from '../guide/index'
import Recommend from '../recommend/index'
import HouseLIst from '../house/list'
import roleList from '../../util/userRole'
import './index.scss'
import request from '../../util/request'
const index = (props) => {

  const page = useSelector(state => state.page)

  const user = useSelector(state => state.user)

  const [userRole, setUserRole] = useState('1')
  const [pageState, SetPageState] = useState('1')
  const [list, setList] = useState([])
  useEffect(() => {

    console.log(page,'page')
    setList([
      {
        name: 'zhou',
        phone: '177'
      },
      {
        name: 'zhou',
        phone: '177'
      },
      {
        name: 'zhou',
        phone: '177'
      }
    ])

    // fetch({ url: API_CARDS_LIST, payload })

    request({
      url:'/api/taHouseSurround',
      method: 'get',
      // params:{
      //   id:3,

      //   b:3
      // }
    })


  }, [])


  const onTabClick = (e) => {
    console.log(e, '111')
    setUserRole(e)
  }

  const onRegisterChange = (e) => {
    console.log(e, '111')
  }



 
  return <View className='index'>
    {/* <ScrollView scrollY style={{ height: 'calc(100vh - 180rpx)' }} >

   
      <View className='page-container' > */}

      {user.role==roleList.customer&&<Customer></Customer>  }
      {user.role==roleList.landlord&&<Landlord></Landlord>  }
      {user.role==roleList.adminuser&&<AdminUser></AdminUser>  }
        {/* {userRole == 1 ? <Register userRole={userRole} list={list} onChange={(e) => onRegisterChange(e)}></Register> :
          <View>userRole={userRole} list={list} onChange={(e) => onRegisterChange(e)}
            {(userRole == 'guide' || userRole == 2) && <Guide userRole={userRole}/>}
            {userRole == 'recommend' && <Recommend userRole={userRole}/>}
          </View>
        }
        {userRole == 2 ? <Register userRole={userRole} list={list} onChange={(e) => onRegisterChange(e)}></Register> :
          <View>
            {(userRole == 'guide' || userRole == 2) && <Guide userRole={userRole}/>}
            {userRole == 'recommend' && <Recommend userRole={userRole}/>}
          </View>
        }
     <HouseLIst userRole={userRole} list={list} onChange={(e) => onRegisterChange(e)}></HouseLIst>  */}
       
        
      
      {/* </View>
    </ScrollView>
    <Tab value={userRole} onClick={(e) => onTabClick(e)}></Tab> */}
  </View>
}

export default index