import React, { useEffect, useMemo, useState } from 'react'
import Taro from "@tarojs/taro";
import { useSelector } from 'react-redux'
import { View, Input, Text, Image } from '@tarojs/components'
import Layout from '../../layout/index'
import Tab from '../../compents/tab/index'
import Container from '../../compents/container/index'
import locationicon from '../../assets/locationicon.png'
import './index.scss'

const index = (props) => {

    const page = useSelector(state => state.page)

    const user = useSelector(state => state.user)

    const [userRole, setUserRole] = useState('1')
    const [pageState, setPageState] = useState('1')
    const [list, setList] = useState([])
    useEffect(() => {

        console.log(page, 'page')
        setList([
            {
                name: 'zhou',
                phone: '177'
            },
            {
                name: 'zhou',
                phone: '177'
            },
            {
                name: 'zhou',
                phone: '177'
            }
        ])
    }, [])


    const onTabClick = (e) => {
        console.log(e, '111')
        setUserRole(e)
    }

    const onRegisterChange = (e) => {
        console.log(e, '111')
    }
    const onSave = () => {
        console.log(333)
        
        Taro.showModal({
            title: '修改成功',
            content: '点击确认按钮，返回上级菜单',
            showCancel:false,
            success: function (res) {
              if (res.confirm) {
                console.log('用户点击确定')

                Taro.navigateBack({
                    delta: 1
                  })
              } else if (res.cancel) {
                console.log('用户点击取消')
              }
            }
          })
    }
    onSave

    return <View className='map'>




        <Layout>
            <View className='map-view'>
                <Text className='title'>WiFi名称</Text>
                <Container className='map-view-card'>
                <Input placeholderClass='placeholderinput' className='input' type='text' placeholder='小区/写字楼/大厦等' />
                </Container>
            </View>
          
            <View className='map-view'>
                <Text className='title'>密码</Text>
                <Container className='map-view-card'>
                <Input placeholderClass='placeholderinput' className='input' type='text' placeholder='小区/写字楼/大厦等' />
                </Container>
            </View>
        </Layout>
         <Tab className='addhousetab' pageState='3' value={['取消', '保存修改']} onClick={[(e) => setPageState('2'), () => onSave()]}></Tab>





    </View>
}

export default index