import React, { useEffect, useState } from 'react'
import Taro from "@tarojs/taro";
import { useSelector } from 'react-redux'
import { View, Image } from '@tarojs/components'
import uploadicon from '../../assets/uploadicon.png'
import roleList from '../../util/userRole'
import './index.scss'

const getColor = (role) => {
    switch (role) {
        case roleList.landlord: return '#274291'
        case roleList.adminuser: return '#274291'
        // landlord: 'landlord',
        case roleList.customer: return '#fed12f'
    }
}


const tab = (props) => {

    const user = useSelector(state => state.user)

    const { value, pageState, color, ...prop } = props

    const [state, setState] = useState(1)
    console.log(props)
    useEffect(() => {

    }, [])
    //  &-on{
    //     color: #fed12f;
    // }${props.className}
    return <View className='tab'>
        {value.length == 1 && <View className={`tab,tab1,${props.className}`} style={{ backgroundColor: getColor(user.role) ,color}}   onClick={() => props.onClick('2')}>{value[0]}
        </View>}
        {value.length == 2 && <View className={`tab,tab2,${props.className}`} style={{ display: 'flex', }}>
            <View style={{ width: '50%' }} style={pageState == '2' ? { color: getColor(user.role), width: '50%' } : { width: '50%' }} onClick={props.onClick[0]}>{value[0]}</View>
            <View style={{ width: '50%' }} style={pageState == '3' ? { color: getColor(user.role), width: '50%' } : { width: '50%' }} onClick={props.onClick[1]}>{value[1]}</View>
        </View>}
        {/* {value==1&&<View className={`tab,tab1,${props.className}`} onClick={()=>props.onClick(2)}>onClick={props.onClick[0]('2')}
            开启旅程
        </View>}
        {value!=1&&<View className={`tab,tab2,${props.className}`}  style={{display: 'flex',}}>
            <View style={{width:'50%'}} style={value=='guide'||value==2 ?{color: getColor(user.role),width:'50%'}:{width:'50%'}}  onClick={()=>props.onClick('guide')}>入住指引</View>
            <View style={{width:'50%'}} style={value=='recommend' ?{color: getColor(user.role),width:'50%'}:{width:'50%'}} c onClick={()=>props.onClick('recommend')}>房东推荐</View>
        </View>} */}
        {/* {value==1&&<View className={`tab,tab1,${props.className}`} style={{background:getColor(user.role),color:'#ffffff'} } onClick={()=>Taro.navigateTo({ url: "/pages/house/add/index" })}>
           +新增房源
        </View>}
        {value!=1&&<View className={`tab,tab2,${props.className}`}  style={{display: 'flex',}}>
            <View style={{width:'50%'}} style={value=='guide'||value==2 ?{color: getColor(user.role),width:'50%'}:{width:'50%'}}  onClick={()=>props.onClick('guide')}>入住指引</View>
            <View style={{width:'50%'}} style={value=='recommend' ?{color: getColor(user.role),width:'50%'}:{width:'50%'}} c onClick={()=>props.onClick('recommend')}>房东推荐</View>
        </View>} */}
    </View>
};

export default tab