import React, { useEffect, useState } from 'react'
import Taro from "@tarojs/taro";
import { useSelector } from 'react-redux'
import { View, Text } from '@tarojs/components'
import roleList from '../../util/userRole'
import './index.scss'
import { set } from 'lodash';

const getColor = (role) => {
    switch (role) {
        case roleList.landlord: return '#274291'
        case roleList.adminuser: return '#274291'
        // landlord: 'landlord',
        case roleList.customer: return '#fed12f'
    }
}


const tags = (props) => {

    const user = useSelector(state => state.user)

    const { value, list, onChange, ...prop } = props

    const [state, setState] = useState(1)
    const [key,setKey] = useState(value)
    console.log(props)
    useEffect(() => {

    }, [])
   const onClick = (item) =>{

       setKey(item.id)
       onChange(item)
   }
    return <View className='tags'>
        <View className='at-row at-row--wrap' style={{marginTop:'10rpx'}}>
            {
                list.map((item)=>{
                   return <View className='at-col at-col-4 ' >
                       <View className={`tags-btn tags-btn${item.id===key?'-on':''}`} onClick={()=>onClick(item)} >{item.name}</View>
                       </View>
                })
            }

        </View>
    </View>
};

export default tags