import React, { useEffect, useMemo, useState,useRef } from 'react'
import Taro from '@tarojs/taro'
import './index.scss'
import { View, Text, Input,Image } from '@tarojs/components'
import ContainerLayout from '../../../compents/container/index'
import radio from '../../../assets/radio.png'

const house = (props) => {

  const [list, setList] = useState([])
  const [radioHouse, setRadioHouse] = useState()
  
    const ref = useRef();
    useEffect(() => {
      ref.current = 3;
    });
  
  

  const radioHouseState = useMemo(()=>props.radioHouseState,[props.radioHouseState])
  wx.setNavigationBarTitle({
    title: '民宿房源管理'
  })
console.log(props,radioHouseState)
  useEffect(() => {
    setList([
      {
        id:1,
        name: 'zhou',
        phone: '177'
      },
      {
        id:2,
        name: 'zhou',
        phone: '177'
      },
      {
        id:3,
        name: 'zhou',
        phone: '177'
      }
    ])
  }, [])

  const onShare = () => {
    Taro.navigateTo({ url: "/pages/share/index" })
  }



  return <View className='houselist'>
    {list.map((x, index) => {
      return <View className='houselist-view'>
        <Text className='houselist-view-title'>房源编号：{index + 1}</Text>
        <ContainerLayout className='houselist-view-card'>
          {radioHouseState&&<View className='houselist-view-card-radio' onClick={()=>{ props.onChange(x),setRadioHouse(x.id)}}>
            {radioHouse==x.id&&<Image src={radio} style={{width:'30rpx',height:'20rpx'}}></Image>}
          </View>}
          <View className='top' onClick={() => {if(!radioHouseState) Taro.navigateTo({ url: `/pages/house/index?=${x.id}`  })}}>福娃给v阿萨v不会让发到付</View>
          <View className='bottom'>
            <Text onClick={() => {if(!radioHouseState) Taro.navigateTo({ url: `/pages/house/household/index?id=${x.id}` })}}>查看入住人</Text>
            <Text onClick={onShare}>分享链接</Text>
          </View>
        </ContainerLayout>
        
      </View>

    })}
   
  </View>
}

export default house