import React, { useEffect, useMemo, useState } from 'react'
import Taro from "@tarojs/taro";
import { useSelector } from 'react-redux'
import { View, Input, Text, Image } from '@tarojs/components'
import Layout from '../../layout/index'
import Tab from '../../compents/tab/index'
import Container from '../../compents/container/index'
import locationicon from '../../assets/locationicon.png'
import './index.scss'

const index = (props) => {

    const page = useSelector(state => state.page)

    const user = useSelector(state => state.user)

    const [userRole, setUserRole] = useState('1')
    const [pageState, setPageState] = useState('1')
    const [list, setList] = useState([])
    useEffect(() => {

        console.log(page, 'page')
        setList([
            {
                name: 'zhou',
                phone: '177'
            },
            {
                name: 'zhou',
                phone: '177'
            },
            {
                name: 'zhou',
                phone: '177'
            }
        ])
    }, [])


    const onTabClick = (e) => {
        console.log(e, '111')
        setUserRole(e)
    }

    const onRegisterChange = (e) => {
        console.log(e, '111')
    }
    const onChooseLocation = () => {
        console.log(333)
        wx.chooseLocation({
            success:(res)=>{
                console.log(res)
            }
        })
    }
    

    return <View className='map'>




        <Layout>
            <View className='map-view'>
                <Text className='title'>位置信息</Text>
                <Container className='map-view-card'>
                <Input placeholderClass='placeholderinput' className='input' type='text' placeholder='小区/写字楼/大厦等' />
                </Container>
            </View>
            <View className='map-view' >
                <Text className='title'>当前地址</Text>
                <View style={{ display: 'flex' }}>
                <Container className='map-view-card' style={{ width: '100%' }}>
                    <Input placeholderClass='placeholderinput' className='input' type='text' placeholder='小区/写字楼/大厦等' />

                </Container>
                <Container className='map-view-icon' onClick={onChooseLocation}>
                    <Image className='icon' mode='widthFix' style={{ width: '100%' }} style={{width: '40rpx'}} src={locationicon} />

                </Container>
                </View>
            </View>
            <View className='map-view'>
                <Text className='title'>具体地址</Text>
                <Container className='map-view-card'>
                <Input placeholderClass='placeholderinput' className='input' type='text' placeholder='小区/写字楼/大厦等' />
                </Container>
            </View>
        </Layout>
        {pageState == '1' && <Tab className='addhousetab' pageState='3' value={['取消', '保存修改']} onClick={[(e) => setPageState('2'), (e) => setPageState('3')]}></Tab>}





    </View>
}

export default index