 import React, { useEffect, useMemo, useState } from 'react'
// import { useEffect, useLayoutEffect, useReducer, useState, useContext, useRef, useCallback, useMemo } from '@tarojs/taro'
import Taro, { useShareAppMessage } from "@tarojs/taro";
import { useSelector, } from 'react-redux'
import { View, Input, Text, Image } from '@tarojs/components'
import Layout from '../../layout/index'
import Tab from '../../compents/tab/index'
import Container from '../../compents/container/index'
import locationicon from '../../assets/locationicon.png'
import Tags from '../../compents/tags/index'
import './index.scss'

// Page({
//     data: {
//         text: 'init data',
//         array: [{ msg: '1' }, { msg: '2' }]
//     }
// })

const index = (props) => {



    const page = useSelector(state => state.page)

    const user = useSelector(state => state.user)

    const [userRole, setUserRole] = useState('1')
    const [pageState, setPageState] = useState('1')
    const [list, setList] = useState([])
    useEffect(() => {

        // console.log(page, 'page')
        setList([
            {
                typename: '行政区域',
                list: [
                    {
                        id: 1,
                        name: '建邺区'
                    },
                    {
                        id: 2,
                        name: '建邺区'
                    },
                    {
                        id: 3,
                        name: '建邺区'
                    },
                    {
                        id: 4,
                        name: '建邺区'
                    },
                    {
                        id: 5,
                        name: '建邺区'
                    },
                    {
                        id: 6,
                        name: '建邺区'
                    },{
                        id: 7,
                        name: '建邺区'
                    },
                    {
                        id: 8,
                        name: '建邺区'
                    },
                    

                ]
            },
            {
                typename: '行政区域',
                list: [
                    {
                        id: 1,
                        name: '建邺区'
                    },
                    {
                        id: 2,
                        name: '建邺区'
                    },
                    {
                        id: 3,
                        name: '建邺区'
                    },

                ]
            },
            {
                typename: '行政区域',
                list: [
                    {
                        id: 1,
                        name: '建邺区'
                    },
                    {
                        id: 2,
                        name: '建邺区'
                    },
                    {
                        id: 3,
                        name: '建邺区'
                    },

                ]
            },
        ])
    }, [])
    useShareAppMessage(res => {
        console.log('3333')
        if (res.from === 'button') {
            // 来自页面内转发按钮
            console.log(res.target)
        }
        return {
            title: '自定义转发标题',
            path: '/page/share/index'
        }
    })

    const onTabClick = (e) => {
        console.log(e, '111')
        setUserRole(e)
    }

    const onRegisterChange = (e) => {
        console.log(e, '111')
    }
    const onSave = () => {
        console.log(333)

        Taro.showModal({
            title: '修改成功',
            content: '点击确认按钮，返回上级菜单',
            showCancel: false,
            success: function (res) {
                if (res.confirm) {
                    console.log('用户点击确定')

                    Taro.navigateBack({
                        delta: 1
                    })
                } else if (res.cancel) {
                    console.log('用户点击取消')
                }
            }
        })
    }

    return <View className='material'>




        <Layout>
            {
                list.map((item) => {
                    return <View className='material-card'>
                        <Text>{item.typename}</Text>
                        <Tags list={item.list}  onChange={(e)=>{console.log(e)}} style={{marginTop:'90rpx'}}> </Tags>
                    </View>
                })
            }

            {/* <View className='inputstyle-view'>
                <Text className='title'>入住人数</Text>
                <Container className='inputstyle-view-card ' style={{ borderRadius: '20rpx', padding: '0 40rpx' }} >
                    <Input placeholderClass='placeholderinput' className='input' type='text' placeholder='' />
                </Container>
            </View>
            <View className='inputstyle-view'>
                <Text className='title'>入住日期</Text>
                <Container className='inputstyle-view-card ' style={{ borderRadius: '20rpx', padding: '0 40rpx' }} >
                    <Input placeholderClass='placeholderinput' className='input' type='text' placeholder='' />
                </Container>
            </View>

            <View className='inputstyle-view'>
                <Text className='title'>离店日期</Text>
                <Container className='inputstyle-view-card ' style={{ borderRadius: '20rpx', padding: '0 40rpx' }} >
                    <Input placeholderClass='placeholderinput' className='input' type='text' placeholder='' />
                </Container>
            </View> */}
        </Layout>
{/* className='addhousetab' */}
        <Tab  pageState='3' value={['取消', '开始查询']} onClick={[(e) => setPageState('2'), (e) => setPageState('3')]}></Tab>
    </View>
}

export default index